#ifndef _BINDSTRUCTS_H
#define _BINDSTRUCTS_H

class CDBLBIND
{
	private:
		double * pbDataD,bDataD;
		LPSTR bindstringD;
	
	public:

		CDBLBIND(double *nVarD,LPSTR nbStringD) : pbDataD(nVarD),bDataD(*nVarD)
		{
			bindstringD = new char[strlen(nbStringD)];
			strcpy(bindstringD,nbStringD);

		}

		~CDBLBIND()
		{
			delete bindstringD;
		}

		double	GetData()	{return bDataD;}
		LPSTR	GetBind()	{return bindstringD;}
};

class CINTBIND
{	
	private:
		int * pbDataI,bDataI;
		LPSTR bindstringI;

	public:

	CINTBIND(int *nVarI,LPSTR nbStringI) : pbDataI(nVarI),bDataI(*nVarI)
	{
		bindstringI= new char[strlen(nbStringI)];
		strcpy(bindstringI,nbStringI);
	}

	~CINTBIND()
	{
		delete bindstringI;
	}

	int GetData()	{return bDataI;}
	LPSTR GetBind()	{return bindstringI;}
};



class CLONGBIND
{
	private:
		long *pbDataL,bDataL;
		LPSTR bindstringL;
	public:
		CLONGBIND(long *nVarL,LPSTR nbStringL) : bDataL(*nVarL),pbDataL(nVarL)
		{
			bindstringL= new char[strlen(nbStringL)];
			strcpy(bindstringL,nbStringL);
		}

		~CLONGBIND()
		{
			delete bindstringL;
		}

		long GetData()	{return bDataL;}
		LPSTR GetBind()	{return bindstringL;}
};

class CFUNCBIND
{	
	private:
		FARPROC bDataF;
		LPSTR bindstringF;
	
	public:
		CFUNCBIND(FARPROC nFunc,LPSTR nbStringF) : bDataF(nFunc)
		{	
			bindstringF = new char[strlen(nbStringF)];
			strcpy(bindstringF,nbStringF);
		}

		~CFUNCBIND()
		{
			delete bindstringF;
		}

		FARPROC GetFunction()	{return bDataF;}
		LPSTR	GetBind()		{return bindstringF;}


};


class CSTRBIND
{

	private:
		LPSTR bDataS,bindstringS;
	
	public:	
		CSTRBIND(LPSTR nVarS,LPSTR nbStringS)
		{
			bDataS= new char[strlen(nbStringS)];
			bindstringS= new char[strlen(nVarS)];
			strcpy(bDataS,nVarS);
			strcpy(bindstringS,nbStringS);
		}

		~CSTRBIND()
		{
			delete bDataS;
			delete bindstringS;
		}

		LPSTR GetData()		{return bDataS;}
		LPSTR GetBind()		{return bindstringS;}
};

#endif